Skip to main content
GET
/
v1
/
lineage
/
events
Get OpenLineage events for a specified time period
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/lineage/events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/lineage/events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/lineage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 0,
  "size": 1,
  "total": 1,
  "results": [
    {
      "id": "12345678-1234-1234-1234-123456789012",
      "event": {
        "eventType": "RUNNING",
        "eventTime": "2025-10-13T09:12:10.741Z",
        "producer": "https://www.matillion.com",
        "schemaURL": "https://openlineage.io/spec/2-0-2/OpenLineage.json#/$defs/RunEvent",
        "job": {
          "namespace": "matillion://<account-id>.<project-id>",
          "name": "path/to/data-pipeline.orch.yaml",
          "facets": {
            "jobType": {
              "jobType": "ORCHESTRATION",
              "integration": "MATILLION",
              "processingType": "BATCH",
              "_producer": "https://www.matillion.com",
              "_schemaURL": "https://openlineage.io/spec/facets/2-0-3/JobTypeJobFacet.json#/$defs/JobTypeJobFacet"
            },
            "documentation": null,
            "sourceCode": null,
            "sourceCodeLocation": null,
            "sql": null,
            "ownership": null
          }
        },
        "run": {
          "runId": "9876543210-abcd-1234-efgh-567890123456",
          "facets": null
        },
        "inputs": [
          {
            "namespace": "postgresql://postgres-host.example.com:5432",
            "name": "source_schema.source_table",
            "facets": {
              "schema": {
                "fields": [
                  {
                    "name": "int_field",
                    "type": "INTEGER",
                    "description": null
                  },
                  {
                    "name": "varchar_255",
                    "type": "VARCHAR",
                    "description": null
                  },
                  {
                    "name": "bool_field",
                    "type": "BOOLEAN",
                    "description": null
                  }
                ],
                "_producer": "https://www.matillion.com",
                "_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
              },
              "dataSource": null,
              "columnLineage": null
            },
            "inputFacets": null
          }
        ],
        "outputs": [
          {
            "namespace": "snowflake://account-name.region",
            "name": "TARGET_DATABASE.TARGET_SCHEMA.TARGET_TABLE",
            "facets": {
              "schema": {
                "fields": [
                  {
                    "name": "int_field",
                    "type": "NUMBER",
                    "description": null
                  },
                  {
                    "name": "varchar_255",
                    "type": "VARCHAR(16777216)",
                    "description": null
                  },
                  {
                    "name": "bool_field",
                    "type": "BOOLEAN",
                    "description": null
                  }
                ],
                "_producer": "https://www.matillion.com",
                "_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
              },
              "columnLineage": {
                "fields": {
                  "int_field": {
                    "inputFields": [
                      {
                        "namespace": "postgresql://postgres-host.example.com:5432",
                        "name": "source_schema.source_table",
                        "field": "int_field"
                      }
                    ]
                  },
                  "varchar_255": {
                    "inputFields": [
                      {
                        "namespace": "postgresql://postgres-host.example.com:5432",
                        "name": "source_schema.source_table",
                        "field": "varchar_255"
                      }
                    ]
                  }
                },
                "_producer": "https://www.matillion.com",
                "_schemaURL": "https://openlineage.io/spec/facets/1-2-0/ColumnLineageDatasetFacet.json#/$defs/ColumnLineageDatasetFacet"
              }
            },
            "outputFacets": null
          }
        ]
      }
    }
  ]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

generatedFrom
string<date-time>
required

Include events generated from this datetime (inclusive). Must be before generatedBefore.

generatedBefore
string<date-time>
required

Include events generated before this datetime (exclusive). Must be after generatedFrom.

page
integer<int32>
required

Page number for pagination (0-indexed). Must be 0 or greater.

size
integer<int32>
default:100

Number of records per page. Must be between 1 and 100 inclusive.

Response

Successfully retrieved lineage events

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
any[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472